Package:     backup2l
Subject:     upstream: add tarxz driver
Author:      Sven Hartge <sven@svenhartge.de>
Origin:      upstream, https://github.com/gkiefer/backup2l/commit/e80be8a88c7954cba9b985a976b9520f34cd428b
Last-Update: 2018-06-05

Add driver DRIVER_TAR_XZ
---

diff -urN s14/first-time.conf s15/first-time.conf
--- s14/first-time.conf	2018-06-05 23:42:08.759208184 +0200
+++ s15/first-time.conf	2018-06-05 23:47:13.558578656 +0200
@@ -440,3 +440,27 @@
             ;;
     esac
 }
+
+# This driver uses tar and XZ compression. XZ compresses better than
+# bzip2, but at the expense of more memory usage. (donated by Sven Hartge)
+DRIVER_TAR_XZ ()
+{
+    case $1 in
+        -test)
+            require_tools tar xz
+            echo "ok"
+            ;;
+        -suffix)
+            echo "tar.xz"
+            ;;
+        -create)        # Arguments: $2 = BID, $3 = archive file name, $4 = file list file
+            tar cJf $3 -T $4 --no-recursion --atime-preserve 2>&1 | grep -v 'tar: Removing leading .* from .* names'
+            ;;
+        -toc)           # Arguments: $2 = BID, $3 = archive file name
+            tar tJf $3 | sed 's#^#/#'
+            ;;
+        -extract)       # Arguments: $2 = BID, $3 = archive file name, $4 = file list file
+            tar Jx --same-permission --same-owner -f $3 -T $4 2>&1
+            ;;
+    esac
+}
